curl --request GET \
--url https://api.baselayer.com/organizations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/organizations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "a3d9af02-e679-4c12-a9b2-220b6eb78e2d",
"name": "The Avengers",
"domain_name": "avengers.com",
"type": "neobank",
"external_id": "b2e3a6ff-2734-47ed-ba87-54647e3550bd",
"webhooks_version": "2.0",
"federation": {
"id": "6d54d5fe-2fcd-4b83-891b-32e9e99656d6",
"name": "Stan Lee"
},
"applications": {
"enabled": true,
"external_id": null,
"id": "865a6f00-b7d7-4451-a787-6b89ac935f92",
"name": "Avengers - Sandbox",
"type": "sandbox"
},
"lien_filing_correspondence_email": "lien-filing-email@example.com",
"lien_filing_secured_party": {
"type": "ORGANIZATION",
"mailing_address": "123 Main St",
"city": "Springfield",
"state": "AL",
"postal_code": "62701",
"masked": true,
"is_assignor": true,
"organization_name": "Acme Inc",
"organization_type": "SOLE_PROPRIETORSHIP"
},
"lien_filing_collateral_statement": "<string>",
"lien_filing_collateral_statement_templates": [
{
"title": "<string>",
"text": "<string>"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get All Organizations Within Scope
Gets and returns the all Organizations’ profiles. The authenticated user must have the ‘organizations:read’ permission. If the authenticated user is an Operator, they can access any Organizations’ profile. If the authenticated user is a User or an Organization, they can only access the profile of their own Organization.
Args: auth_context (BaseAuthContext): The authentication context of the request.
Returns: The Organizations’ profiles.
Authorizations
Query Parameters
x >= 1x >= 0A search query to limit the Organizations returned by matching on ID, name, or external ID.
"Acme, Inc."
When true, return only standalone Organizations (those not in any federation).
Response
Response
The unique identifier of the Organization.
"a3d9af02-e679-4c12-a9b2-220b6eb78e2d"
The name of the Organization.
"The Avengers"
The domain name of the Organization.
"avengers.com"
The type of the organization.
neobank, community_bank, credit_union, regional_bank, national_bank, fintech, smb_lender, merchant_cash_advanced, processor, infrastructure, other An external identifier for referencing the Organization using the ID from a namespace in an external system.
"b2e3a6ff-2734-47ed-ba87-54647e3550bd"
The version of Baselayer Webhooks the Organization utilizies.
0.8, 1.0, 2.0, 2.0 "2.0"
Represents a federation response.
Show child attributes
Show child attributes
{ "id": "6d54d5fe-2fcd-4b83-891b-32e9e99656d6", "name": "Stan Lee" }
The Applications belonging to the Organization.
Show child attributes
Show child attributes
{ "enabled": true, "external_id": null, "id": "865a6f00-b7d7-4451-a787-6b89ac935f92", "name": "Avengers - Sandbox", "type": "sandbox" }
{ "enabled": false, "external_id": null, "id": "aee180c8-ad54-474d-8046-87fd2ec176c6", "name": "Avengers - Production", "type": "production" }
The email address for lien filing correspondence.
"lien-filing-email@example.com"
An organization's stored default secured party for lien filings.
This is the template applied to newly created drafts — not a persisted lien party row — so unlike the submission list item it carries no party id.
Show child attributes
Show child attributes
The collateral statement for lien filing.
The list of collateral statement templates for lien filing.
Show child attributes
Show child attributes